<div class="flex flex-col mx-auto" *ngIf="username$ | async">
  <div class="w-full">
    <div class="text-xl uppercase font-bold font-mono font-blue-900 text-white">
      Team Saint-Louis
    </div>
    <div class="text-2xl font-bold text-white">Kubechat</div>
  </div>
  <div class="flex flex-1 mt-8 min-h-0">
    <app-room-list
      [activeRoom]="activeRoom$ | async"
      [roomsLoading]="roomsLoading$ | async"
      [rooms]="roomList$ | async"
      [creatingRoom]="creatingRoom$ | async"
      (onRoomAdd)="createRoom($event)"
      (selectRoom)="selectRoom($event)"
    ></app-room-list>
    <app-messages-list
      style="width: 768px"
      class="bg-white p-8 ml-8 rounded-xl shadow-xl h-full"
      [messages]="messages$ | async"
      [messageSending]="messageSending$ | async"
      (onMessage)="sendMessage($event)"
    ></app-messages-list>
  </div>
</div>
<div class="mx-auto bg-white p-32 flex-grow-0 rounded-3xl self-center" *ngIf="!(username$ | async)">
  <form
    class="p-4 pb-0 flex flex-col items-start"
    (submit)="setUsername(msgInput.value); $event.preventDefault()"
  >
    <div class="text-3xl font-extrabold mb-8">who are you?</div>
    <input
      class="border border-gray-800 outline-gray-800 px-4 py-2 font-mono w-full"
      #msgInput
      type="text"
      placeholder="username"
      required
      pattern="[a-zA-Z0-9_-]+"
    />
    <button
      type="submit"
      class="rounded underline py-2 font-mono font-bold uppercase"
    >
      Set username
    </button>
  </form>
</div>
